If you are running the 64bit swiftweasel from sourceforge the 32bit plugins from this howto and the repositories will not work with it.
Sure, I realise that. I wasn't clear on what you could get from the repositories so I decided to see how good the 64bit version was. I thought I needed java, but I've not run into a site that's giving me trouble without it yet, so I figure I'll stick with the 64 bit version until I find something I need java for - then I'll switch to 32 bit with your script.